package com.luca.pilot.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author linfeng.yang
 * @since 2021-11-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Document("questionnaire_answer_option")
public class QuestionnaireAnswerOption extends AbstractAuditingEntity implements Serializable{

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long answerId;

    private Long optionId;

    private String optionName;

    private Long questionId;

    private String content;

    private String dateAt;

    private BigDecimal numberAnswer;

    private BigDecimal leftMin;

    private BigDecimal rightMax;

}
